## org.eclipse.datatools.enablement.mysql.catalog.loaders
Class MySqlTableLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
              org.eclipse.datatools.enablement.mysql.catalog.loaders.MySqlTableLoader

    public class MySqlTableLoader

extends JDBCTableLoader

Nested Class Summary
`static class` `MySqlTableLoader.MySqlTableFactory` Base factory implementation for LOCAL TEMPORARY type tables.

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`JDBCTableLoader.GlobalTempTableFactory, JDBCTableLoader.ITableFactory, JDBCTableLoader.LocalTempTableFactory, JDBCTableLoader.TableFactory, JDBCTableLoader.ViewFactory`

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`COLUMN_REF_GENERATION, COLUMN_REMARKS, COLUMN_SELF_REFERENCING_COL_NAME, COLUMN_TABLE_NAME, COLUMN_TABLE_TYPE, TYPE_GLOBAL_TEMPORARY, TYPE_LOCAL_TEMPORARY, TYPE_REF_DERIVED, TYPE_REF_SYSTEM, TYPE_REF_USER, TYPE_SYSTEM_TABLE, TYPE_TABLE, TYPE_VIEW`

Constructor Summary
`MySqlTableLoader()`

Method Summary
`void` `loadTables(java.util.List containmentList, java.util.Collection existingTables)` Loads the "table" objects from the database.

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCTableLoader
`clearTables, getTableFactory, loadTables, registerTableFactory, unregisterTableFactory`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySqlTableLoader

    public MySqlTableLoader()

Method Detail

### loadTables

    public void loadTables(java.util.List containmentList,
                           java.util.Collection existingTables)
                    throws java.sql.SQLException

  Description copied from class: `JDBCTableLoader`
  Loads the "table" objects from the database. This method uses the result set from createResultSet() to load the "table" objects from the server. This method first checks the name of the "table" to determine whether or not it should be filtered. If it is not filtered, it checks to see if an object with that name was loaded previously. If it finds an existing object, it refreshes that object and adds it to the containment list. If the named object does not exist, the result set is passed to processRow(). Table objects are created and initialized using one of the registered factories. This method should only be overridden as a last resort when the desired behavior cannot be acheived by overriding createResultSet(), closeResultSet(), processRow(), and a specialized factories.

  Overrides:
    `loadTables` in class `JDBCTableLoader`
  Parameters:
    `containmentList` - the containment list held by parent
    `existingTables` - the catalog objects which were previously loaded
  Throws:
    `java.sql.SQLException` - if an error occurred during loading.